<template>
  <v-card id="card-login" class="mx-auto" max-width="450">
    <v-card-text>
      <p class="text-h4 text--primary">Login</p>
      <v-form>
        <v-text-field
          label="Usuario"
          placeholder="Usuario"
          outlined
        ></v-text-field>
        <v-text-field
          label="Contraseña"
          placeholder="Contraseña"
          outlined
          type="password"
        ></v-text-field>
      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-btn text color="gray" @click="listaPersonajes"> Lista Personajes </v-btn>
      <v-btn text color="deep-purple accent-4" @click="login"> Futurama </v-btn>
      <v-btn text color="deep-purple accent-4" @click="municipiosColombia"> Municipios Colombia </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
    data: ()=>{
        return{

        }
    },
    methods: {
        login(){
            console.log("Verificando credenciales...");
            //Redirigir al home
            this.$router.push('/home');
        },
        municipiosColombia(){
          this.$router.push("/colombia");
        },
        listaPersonajes(){
          this.$router.push('/personajes');
        }
    }
};
</script>

<style>
#card-login{
    margin-top: 10%;
}
</style>